Skip to content
Go to Boltz API

Delete protein design run data

POST/compute/v1/protein/design/{id}/delete-data

Permanently delete the input, output, and result data associated with this design run. The design run record itself is retained with a data_deleted_at timestamp. This action is irreversible.

Path ParametersExpand Collapse
id: string
ReturnsExpand Collapse
id: string

ID of the resource whose data was deleted

data_deleted: true
data_deleted_at: string

When the data was deleted

formatdate-time

Delete protein design run data

curl https://api.boltz.bio/compute/v1/protein/design/$ID/delete-data \
    -X POST \
    -H "x-api-key: $BOLTZ_API_KEY"
{
  "id": "id",
  "data_deleted": true,
  "data_deleted_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "data_deleted": true,
  "data_deleted_at": "2019-12-27T18:11:19.117Z"
}